set(PLATFORM_UNIT_TEST_FILES)

find_package(PkgConfig)            
pkg_check_modules(DBUS dbus-1 QUIET)
if (DBUS_FOUND)
    include_directories(${DBUS_INCLUDE_DIRS})
    link_directories(${DBUS_LIBRARY_DIRS})
    set(PLATFORM_UNIT_TEST_FILES
        ipc/TestDbus.cpp
    )
endif()

set(IPC_UNIT_TEST_FILES 
        ${PLATFORM_UNIT_TEST_FILES}
    PARENT_SCOPE
    )
    
set(IPC_UNIT_TEST_DEPENDENCIES 
    PARENT_SCOPE
    )